### Method

# Gtk PrintOperation set_print_settings

#### Declaration [src]

    void
    gtk_print_operation_set_print_settings (
      GtkPrintOperation* op,
      GtkPrintSettings* print_settings
    )

#### Description [src]

Sets the print settings for `op`.

This is typically used to re-establish print settings from a previous print operation, see gtk_print_operation_run().

Sets property | `Gtk.PrintOperation:print-settings`

#### Parameters

`print_settings` | `GtkPrintSettings`
| `GtkPrintSettings`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.